---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Each case of the run with its output trace,… Reference for the GET
    /v1/projects/{projectId}/test-suites/runs/{runId}/results endpoint in the
    Judgeval API.
sidebar:
  label: Get test run results
  badge: GET
title: Get test run results
type: openapi-operation
---
Each case of the run with its output trace, whether it is scored, its outcome and check results; filter to failed cases or one judge, a page at a time.

`GET /v1/projects/{projectId}/test-suites/runs/{runId}/results`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "results": [
    {
      "case_id": "c74269e5-1f97-4e20-9164-ffbe3494d8d6",
      "trace_id": "string",
      "scored_at": "2019-08-24T14:15:22Z",
      "passed": true,
      "checks": [
        {
          "judge_id": "968a8026-4d88-467b-937b-009ebfad94d9",
          "judge_name": "string",
          "judge_major_version": 0,
          "judge_minor_version": 0,
          "op": "eq",
          "expected": null,
          "judge_output": null,
          "passed": true,
          "reason": "string",
          "error_message": "string"
        }
      ],
      "pending_checks": [
        {
          "judge_id": "968a8026-4d88-467b-937b-009ebfad94d9",
          "judge_name": "string",
          "judge_major_version": 0,
          "judge_minor_version": 0,
          "status": "not_queued",
          "queued_at": "2019-08-24T14:15:22Z",
          "started_at": "2019-08-24T14:15:22Z",
          "error_message": "string"
        }
      ]
    }
  ],
  "next_offset": 0
}
```
